CUNG2L(3f)

NAME
CUNG2L - an m by n complex matrix Q with orthonormal columns,

SYNOPSIS

SUBROUTINE CUNG2L(
    M, N, K, A, LDA, TAU, WORK, INFO )

INTEGER
    INFO, K, LDA, M, N

COMPLEX
    A( LDA, * ), TAU( * ), WORK( * )

PURPOSE
CUNG2L generates an m by n complex matrix Q with orthonormal columns, which is defined as the last n columns of a product of k elementary reflectors of order m
      Q = H(k) . . . H(2) H(1)
as returned by CGEQLF.

ARGUMENTS

M       (input) INTEGER
    The number of rows of the matrix Q. M >= 0.

N       (input) INTEGER
    The number of columns of the matrix Q. M >= N >= 0.

K       (input) INTEGER
    The number of elementary reflectors whose product defines the matrix Q. N >= K >= 0.

A       (input/output) COMPLEX array, dimension (LDA,N)
    On entry, the (n-k+i)-th column must contain the vector which defines the elementary reflector H(i), for i = 1,2,...,k, as returned by CGEQLF in the last k columns of its array argument A. On exit, the m-by-n matrix Q.

LDA     (input) INTEGER
    The first dimension of the array A. LDA >= max(1,M).

TAU     (input) COMPLEX array, dimension (K)
    TAU(i) must contain the scalar factor of the elementary reflector H(i), as returned by CGEQLF.

WORK    (workspace) COMPLEX array, dimension (N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument has an illegal value